#!/bin/sh

set -u
set -e

PREFIX_DIR=""
# declare the Bareos repository
DOWNLOADSERVER="download.bareos.org"
URL="https://download.bareos.org/experimental/ssura-dedup-random-access-volume/EL_8"

# setup credentials
# (required for download.bareos.com, subscription)
BAREOS_USERNAME=""
BAREOS_PASSWORD=""

# add the Bareos repository
cat <<EOT >"${PREFIX_DIR}/etc/yum.repos.d/bareos.repo"
[bareos]
name=Backup Archiving Recovery Open Sourced (EL_8)
baseurl=${URL}
username=${BAREOS_USERNAME}
password=${BAREOS_PASSWORD}
type=rpm-md
gpgcheck=1
repo_gpgcheck=1
gpgkey=file://${PREFIX_DIR}/etc/pki/rpm-gpg/RPM-GPG-KEY-bareos-experimental
autorefresh=1
enabled=1

[bareos-source]
name=Backup Archiving Recovery Open Sourced (EL_8) - Sources
baseurl=${URL}/src
username=${BAREOS_USERNAME}
password=${BAREOS_PASSWORD}
type=rpm-md
gpgcheck=1
repo_gpgcheck=1
gpgkey=file://${PREFIX_DIR}/etc/pki/rpm-gpg/RPM-GPG-KEY-bareos-experimental
autorefresh=1
enabled=0

[bareos-debuginfo]
name=Backup Archiving Recovery Open Sourced (EL_8) - Debuginfo
baseurl=${URL}/debug
username=${BAREOS_USERNAME}
password=${BAREOS_PASSWORD}
type=rpm-md
gpgcheck=1
repo_gpgcheck=1
gpgkey=file://${PREFIX_DIR}/etc/pki/rpm-gpg/RPM-GPG-KEY-bareos-experimental
autorefresh=1
enabled=0
EOT
chmod 0640 "${PREFIX_DIR}/etc/yum.repos.d/bareos.repo"

cat <<EOT >"${PREFIX_DIR}/etc/pki/rpm-gpg/RPM-GPG-KEY-bareos-experimental"
-----BEGIN PGP PUBLIC KEY BLOCK-----

mQINBF23EK4BEAC1FADpF6aaC93bxouVT6/BuXJajjtLkHNKfY26BYuvpwgLmVwp
M8vBuQWEPxxP6y2wXffv5bO/0Y1tS7tCW4i7duKz6W6as7/N13P/Mah8KOS0Zles
VM94fKXX8um7okqY9EwqgWVyHetW0PVpMKCsguMezv0IUmGAi/XX/GgJBeDYWvTh
S8DXtMhqWMXWv9yptJJsFQgdS0GVb8fcHG+Vl5GWmb+p8+R5x2JjLrP2OIoY8caD
boueBiUUeYnlPQqBa7flZSlBslSbk8qwnr75r/fX0/ihnFfLZol348AOCjPeWEYM
H3xQvuuyXsOg7dJ3dX4pE/MwUUOSlWyAACvCDYLQ+Xlvnt1j1dmbnGiBYRfn9cMZ
YEDZVSey7LwUwkXi9yXAc5+g6+OUUz1dIoZCyiAezttU8yfoiLXgilOHm7LniW4o
n5LIxTmo3pUSeEdQntFKd8jStIhvhGyKop1wlDU+FGUaxgWdswKE5se7WdaR6Em7
iuOMd9hZpS24Y4jeGjr4v4uwzB/Y8eB+vvM/ISGJltC8zgNpk81Dv1g2m/cy3YLb
POUxNy5+TAdO3UztuYbGQqgDax8RESD/6CbC8Z8X4TXYETjqtBR/9dNWBJCMb3aT
CXqZyc0YwiU0ISDCZhKbrPCkhwniOI4gqNz2pyFn9eUBw4xXx4DV0rQkyQARAQAB
tDRCYXJlb3MgZXhwZXJpbWVudGFsIFNpZ25pbmcgS2V5IDxzaWduaW5nQGJhcmVv
cy5jb20+iQI5BBMBAgAjBQJdtxCuAhsDBwsJCAcDAgEGFQgCCQoLBBYCAwECHgEC
F4AACgkQQtokpt/vkSdp9RAAnYDZdfswrj5K2Kr/vL7rE5JrmbjoobapqqIIOnLg
3RfBMJqfc3CMFwpcPR8i2L1UluMiMYjHBrjeJrpqb6ZKbQQhTWxMj6vqHXaBWJ65
z1UjDHzbvY/1BjXQy2j7LusbCNZjgGkYtafl4/4IUiH6++n6QsPfagphOuY1k3Uv
RqAKf/3DWChV8uU+lnMG3Gf9ZaJ4G3Q3ybxdJ2MMH/F4DIgWMMapRiRUZSEO/xgX
gyS1f1TLUTgLL1p0rUuDb9Jk+ntfntxTlCZl/njdtUgGa+Fbom6itnGJZVI4PmRr
f+7Rt+YOimp/LQ+dvcVoLrvX2uugdSe96yS8MWr6vbB4AipxKHsjp0bOuHj9yMr7
+VS9pQQ9frlk0gGkxjFflpvgjWqLnFBQjX7OFXW3U8w6vFjoWwS2zmdekWd36yF/
JUtG1aBIk7T5wOImVdDkT/QXXK21Lu2HUfymvBLpWiRPi6P7Nye6XSYp3i1lpV20
UmucKiOed93dBJLWcbelJdAJCPeLhvuTIZRZqrJ+z4ZozjgXf/8g7RR/HCKaUt+M
i6P0TKYbyneXK166OqiyGGY0/enbAKSf/+K/FyPRsAHbGd+3wOY26QdL/JfNnJq0
eOkfPAZ+RjfWMd8VMMrx11gV+hPzszQHUKoWhyC0EndKuvU00QQ+EL6yBjMbjIHI
KL8=
=j9IV
-----END PGP PUBLIC KEY BLOCK-----
EOT

echo "Repository ${URL} successfully added."
